<template>
    <div id="points">
        <table class=" text-center">
         <tr>
           <th>Player name</th>
           <th>Game points</th>
         </tr>
         <tr v-for="points in playerPoints" :key="points.playerName">
           <td>{{ points.playerName }}</td>
           <td>{{ points.roundPoints }}</td>
         </tr>
        </table> 
    </div>
</template>
<script>
    import axios from 'axios';
    export default {
        name: 'points',
        data: function () {
            return {
                playerPoints: [],
                gameId: this.$route.params.gameId
            }
        },
        methods: {
            retrievePlayerPoints() {
                axios.get("https://localhost:44361/api/game/" + this.gameId + "/points")
                    .then(response => this.playerPoints = response.data);
            }
        },
        created: function () {
            this.retrievePlayerPoints();
        }
    }
</script>
<style>
    th {
        padding: 5px;
    }
</style>
